﻿using System.Data;
using System.Linq;
using System.Data.Linq;
using System.Windows.Forms;

namespace LinqToSQL
{
    public partial class Form1 : Form
    {
        const string connectionString = @"Data Source=(LocalDB)\MSSQLLocalDB;AttachDbFilename=C:\Users\pk\Desktop\CS\LinqToSQL\LinqToSQL\Adresy.mdf;Integrated Security=True";
        static DataContext dbAdresy = new DataContext(connectionString);
        static Table<Osoba> listaOsób = dbAdresy.GetTable<Osoba>();

        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, System.EventArgs e)
        {
            var lista = from osoba in listaOsób
                        where osoba.Wiek >= 18
                        select new { osoba.Id, osoba.Imie, osoba.Nazwisko, osoba.Wiek };

            string s = "Lista: \n";
            foreach (var l in lista)
                s += l.Id + " " + l.Imie + " " + l.Nazwisko + " (" + l.Wiek + ")\n";

            dataGridView1.DataSource = lista;

            //MessageBox.Show(s);
        }

        private void button1_Click_1(object sender, System.EventArgs e)
        {
            var lista = from osoba in listaOsób
                        where (osoba.Wiek >= 18 && osoba.Imie.Trim().EndsWith("a"))
                        select osoba;

            foreach (var osoba in lista)
                osoba.Wiek++;

            dbAdresy.SubmitChanges();
        }

        private void btnDodaj_Click(object sender, System.EventArgs e)
        {
            int noweId = listaOsób.Max(x => x.Id) + 1;

            Osoba osoba = new Osoba()
            {
                Id = noweId,
                Imie = "Janek",
                Nazwisko = "Kowalczyk",
                Wiek = 5
            };

            listaOsób.InsertOnSubmit(osoba);

            dbAdresy.SubmitChanges();
        }
    }
}
